Associated revisions
Use install prefix to find configuration file in src/rsb/Factory.cpp

fixes #1398

Based on patch by Johannes Wienke.

    -  src/rsb/Factory.cpp: updated copyright; pass result of
  installPrefix() to rsc::config::configure

    -  src/rsb/Version.{h,cpp}.in: added function installPrefix

History
#1 - 03/04/2013 06:23 PM - J. Wienke
- Status changed from New to In Progress
- Assignee set to J. Wienke

#2 - 03/04/2013 07:04 PM - J. Wienke

Jan, there is an implementation in the feature branch. Can you have a look whether that solves the problem?

#3 - 03/04/2013 07:14 PM - J. Moringen

One of the three configure calls in Factory::Factory() does not use the prefix. Is this intentional?

#4 - 03/05/2013 08:55 AM - J. Wienke
- % Done changed from 0 to 80

No, fixed in branch. I will also modify the documentation accordingly. Is it ok then?

#5 - 03/05/2013 09:34 AM - J. Wienke

Can you please have a look at the documentation in the feature branch. This was kind of hard to modify the graph correctly.

05/07/2024 1/2



#6 - 03/05/2013 08:07 PM - J. Moringen
- Status changed from In Progress to Feedback

I initially misread the change. Also, I cannot find a version of rsc::config::configure which accepts a prefix as final parameter. Did you not yet push it into
the project:rsc repository?

Looking at the documentation change (and studying the rsb::Factory change more carefully), I'm afraid, I had a different solution in mind. Your
proposed solution would process /etc/FILENAMEas well asPREFIX/etc/FILENAME, right?

My complaint in this issue is that PREFIX/etc/FILENAME should be processed instead of/etc/FILENAME. Maybe we can make the prefix parameter in
rsc::config::configure optional and add an optional prefix parameter to rsc::config::systemConfigDirectory as well. When no prefix is provided, 
rsc::config::systemConfigDirectory could use RSC's CMAKE_INSTALL_PREFIX instead of /etc/. rsb::Factory could call rsc::config::configure with
RSB's prefix in case the two libraries are installed in different prefixes.

What do you think?

#7 - 03/06/2013 09:49 AM - J. Wienke

Sorry, the RSC changes are pushed now.

Actually I understand the immediate reaction, but when implementing this I didn't see any drawbacks of also using the general file in /etc/. It would be
inconsistent to ignore the file in the installation prefix, but I don't see why it is inconsistent to also use the global configuration file. E.g. if someone
switches from a debian package to a manually installed version for using some custom modifications, no changes would be necessary to continue with
the old configuration he set up with this solutions. Do you see a real problem in also parsing the global config file?

#8 - 04/10/2013 12:08 AM - J. Moringen
- Status changed from Feedback to Resolved
- % Done changed from 80 to 100

Applied in changeset rsb-cpp|commit:3b43b5110e1641f6a56be62175d7085adb168c74.
